6.0.0-git
2019-03-24

[#10738] Redirecting emails throw the message "Error when communicating to the server"
Summary Redirecting emails throw the message "Error when communicating to the server"
Queue IMP
Queue Version 5.0.14
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester bsoundarajan (at) gmail (dot) com
Created 2011-11-12 (2689 days ago)
Due
Updated 2011-11-17 (2684 days ago)
Assigned 2011-11-13 (2688 days ago)
Resolved 2011-11-17 (2684 days ago)
Milestone
Patch No

History
2011-11-17 19:42:02 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2011-11-17 19:40:55 Git Commit Comment #9 Reply to this comment
Changes have been made in Git for this ticket:

[mms] Fix redirecting message from dynamic view popup message (Bug #10738).

  3 files changed, 15 insertions(+), 4 deletions(-)
http://git.horde.org/horde-git/-/commit/388a6b0e3add44bc9a6a961b137f5c84eb0f10c8
2011-11-17 12:39:05 Jan Schneider Comment #8 Reply to this comment
This only happens when redirecting from the message popup. That was 
the important bit of information.

[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP Fatal 
error:  Call to a member function getHeaderOb() on a non-object in 
/home/jan/horde-git/imp/lib/Compose.php on line 1939, referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP Stack 
trace:, referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP   1. 
{main}() /home/jan/horde-git/horde/services/ajax.php:0, referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP   2. 
IMP_Ajax_Application->doAction() 
/home/jan/horde-git/horde/services/ajax.php:60, referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP   3. 
Horde_Core_Ajax_Application->doAction() 
/home/jan/horde-git/imp/lib/Ajax/Application.php:95, referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP   4. 
call_user_func(array (0 => class IMP_Ajax_Application { public $notify 
= TRUE; protected $_mbox = NULL; protected $_queue = class 
IMP_Ajax_Queue { protected $_flag = array (...); protected $_poll = 
array (...); protected $_quota = FALSE }; protected $_suppress = NULL; 
protected $_readOnly = array (0 => 'html2Text', 1 => 'text2Html'); 
protected $_app = 'imp'; protected $_action = 'redirectMessage'; 
protected $_vars = class Horde_Variables { protected $_vars = array 
(...); protected $_expectedVariables = array (...); protected 
$_sanitized = FALSE }; protected $_defaultDomain = NULL }, 1 => 
'redirectMessage')) 
/home/jan/horde-git/framework/Core/lib/Horde/Core/Ajax/Application.php:95, 
referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP   5. 
IMP_Ajax_Application->redirectMessage() 
/home/jan/horde-git/framework/Core/lib/Horde/Core/Ajax/Application.php:95, 
referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583
[Thu Nov 17 13:37:06 2011] [error] [client 192.168.60.116] PHP   6. 
IMP_Compose->sendRedirectMessage($to = 'jan@localhost') 
/home/jan/horde-git/imp/lib/Ajax/Application.php:1678, referer: 
http://neo.wg.de/headhorde/imp/message-dimp.php?ajaxui=1&mailbox=SU5CT1guaG9yZGUuYnVncw&uid=53006&uniq=1321533378583

2011-11-17 11:52:57 ranjini (dot) varadarajan (at) gmail (dot) com Comment #7
New Attachment: communication_error.PNG Download
Reply to this comment
I tried the same on the instance that i am running back here. Here is 
what i did:

Logged in to the application. I had few emails in my inbox. Double 
clicked on the email. This opened in a new small window. From the new 
window, used the "forward" > "redirect" option. Entered the email id. 
Clicked on Redirect option provided. Threw "Error communicating to the 
server"

Can you please help?
Attached screen shot for reference. Taken from
http://demo.horde.org/imp/. I have installed horde apps using pear
install.
I can't reproduce on demo.horde.org.
2011-11-16 03:21:32 Michael Slusarz Comment #6 Reply to this comment
Attached screen shot for reference. Taken from 
http://demo.horde.org/imp/. I have installed horde apps using pear 
install.
I can't reproduce on demo.horde.org.
2011-11-14 04:10:12 bsoundarajan (at) gmail (dot) com Comment #5
New Attachment: imp_screenshot.png Download
Reply to this comment
Attached coding snippet

<snip>
public function sendRedirectMessage($to)
     {

         $recip = $this->recipientList(array('to' => $to));
         $recipients = implode(', ', $recip['list']);

         $identity = $GLOBALS['injector']->getInstance('IMP_Identity');
         $from_addr = $identity->getFromAddress();

         $contents = $this->getContentsOb();  ###  Error occurred in this line
         $headers = $contents->getHeaderOb();

</snip>

Attached screen shot for reference. Taken from 
http://demo.horde.org/imp/. I have installed horde apps using pear 
install.
Further, there is no line 1904 in lib/Compose.php in IMP 5.0.14 
(that line is blank).
2011-11-14 03:27:08 Michael Slusarz Comment #4
Priority ⇒ 1. Low
Reply to this comment
Further, there is no line 1904 in lib/Compose.php in IMP 5.0.14 (that 
line is blank).
2011-11-13 20:48:12 Jan Schneider Comment #3
State ⇒ Feedback
Priority ⇒ 2. Medium
Reply to this comment
Works just fine on both the latest release and the current Git version 
for me. Is this happening for *all* messages?
2011-11-12 05:11:34 bsoundarajan (at) gmail (dot) com Comment #2 Reply to this comment
I am getting this error

Call to a member function getHeaderOb() on a non-object in 
/var/www/webmail/imp/lib/Compose.php on line 1904
2011-11-12 05:03:02 bsoundarajan (at) gmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Redirecting emails throw the message "Error when communicating to the server"
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
1. Login as the user
2. Assume that the user has received emails
3. Select a email and click to view the same from Inbox.
4. View the message and then select the Forward > Redirect option
5. Provide the To address and then click on Redirect.
6 Throws the error "Error when communicating to the server"

Saved Queries